# Entry Requirements

Get Travel Requirements for destinations based on travellers' nationalities.

{% icon name="solid circle-info" size="2em" color="var(--admonition-info-icon-color)" /%} HTTP GET request can be used for all endpoints if parameters can be supplied as simple query fields. \
  Eg: `GET .../endpoint?destinations=ES,FR,IT&nationalities=DE,AT`


## Search Destinations

 - [POST /destinations](https://docs.api.passolution.eu/api/entry-requirements/searchdestinations.md): Get list of destinations / countries that meet traveller's preferences & eligibility. \
See examples below

## All Requirements

 - [POST /content/all/{type}](https://docs.api.passolution.eu/api/entry-requirements/getallinformation.md): Get Entry Requirements for destinations as HTML, Text or a PDF document.

Use: \
.../content/all/html - to show content in a web browser / HTML viewer. \
.../content/all/text - to show content directly as text. \
.../content/all/pdf - to save & share content for offline viewing.

Parameters: Simple parameters (described below) can be supplied as query parameters, eg: \
.../content/all/html?destinations=ES,FR,IT & nationalities=DE,AT & language=en

## - Overview

 - [POST /content/overview/{type}](https://docs.api.passolution.eu/api/entry-requirements/getoverviewinformation.md): Get Overview of Entry Requirements for destinations as HTML, JSON or a PDF document.

Use: \
.../content/overview/html - to show content in a web browser / HTML viewer. \
.../content/overview/json - to show your own content based on data. \
.../content/overview/pdf - to save & share content for offline viewing.

## - Entry

 - [POST /content/entry/{type}](https://docs.api.passolution.eu/api/entry-requirements/getentryinformation.md): Get Entry Requirements for destinations as HTML, Text, JSON or a PDF document.

Use: \
.../content/entry/html - to show content in a web browser / HTML viewer. \
.../content/entry/text - to show content directly as text. \
.../content/entry/json - to show your own content based on data. \
.../content/entry/pdf - to save & share content for offline viewing.

## - Visa

 - [POST /content/visa/{type}](https://docs.api.passolution.eu/api/entry-requirements/getvisainformation.md): Get Visa Requirements for destinations as HTML, Text, JSON or a PDF document.

Use: \
.../content/visa/html - to show content in a web browser / HTML viewer. \
.../content/visa/text - to show content directly as text. \
.../content/visa/json - to show your own content based on data. \
.../content/visa/pdf - to save & share content for offline viewing.

## - Transit Visa

 - [POST /content/transit_visa/{type}](https://docs.api.passolution.eu/api/entry-requirements/gettransitvisainformation.md): Get Transit Visa Requirements for destinations as HTML, Text or a PDF document.

Use: \
.../content/transit_visa/html - to show content in a web browser / HTML viewer. \
.../content/transit_visa/text - to show content directly as text. \
.../content/transit_visa/pdf - to save & share content for offline viewing.

## - Health

 - [POST /content/health/{type}](https://docs.api.passolution.eu/api/entry-requirements/gethealthinformation.md): Get Health Requirements for destinations as HTML, Text, JSON or a PDF document.

Use: \
.../content/health/html - to show content in a web browser / HTML viewer. \
.../content/health/text - to show content directly as text. \
.../content/health/json - to show your own content based on data. \
.../content/health/pdf - to save & share content for offline viewing.

## Country Information

 - [POST /content/country/{type}](https://docs.api.passolution.eu/api/entry-requirements/getcountryinformation.md): Get General Information about destinations as HTML or a PDF document.

Use: \
.../content/country/html - to show content in a web browser / HTML viewer. \
.../content/country/pdf - to save & share content for offline viewing.

